#![no_std]
#![no_main]

use core::arch::global_asm;
use crate::utils::clear_bss;

mod utils;
mod sbi;
mod console;
mod batch;
mod sync;
mod trap;
mod syscall;

global_asm!(include_str!("entry.asm"));
global_asm!(include_str!("link_app.asm"));


#[no_mangle]
fn rust_main() -> ! {
    clear_bss();
    log_information!("[kernel] Hello, rCore!");
    trap::init();
    batch::print_app_information();
    batch::run_next_application();
}

